DataCubeControllerUpdateRelationships Method

PUT /DataCube/Relationships/{id} Updates the relationships for the given data cube and transform.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Relationships")]
public IActionResult UpdateRelationships(
	Guid id,
	[FromBodyAttribute] UpdateDataCubeJoinOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to get the relationships for.
options
Type: Dundas.BI.WebApi.ModelsUpdateDataCubeJoinOptions
The options used to update the data cube join relationships.
sessionId (Optional)
Type: SystemNullableGuid
The current session ID.

Return Value

Type: IActionResult
The updated DataCubeJoinData object, or a status code indicating the problem.
See Also